List wallets for a profile by reference with pagination.
GET
/
api
/
v1
/
wallets
/
profile
/
{reference}
List wallets for the profile
curl --request GET \
--url https://sandbox.oumla.com/api/v1/wallets/profile/{reference} \
--header 'x-api-key: <api-key>' \
--header 'x-sdk-version: <x-sdk-version>'import requests
url = "https://sandbox.oumla.com/api/v1/wallets/profile/{reference}"
headers = {
"x-sdk-version": "<x-sdk-version>",
"x-api-key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-sdk-version': '<x-sdk-version>', 'x-api-key': '<api-key>'}
};
fetch('https://sandbox.oumla.com/api/v1/wallets/profile/{reference}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reference": "<string>",
"type": "<string>",
"networkId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"index": 123,
"date": "2023-11-07T05:31:56Z",
"currentDeepIndex": 123
}
],
"pagination": {
"totalElements": 100,
"totalPages": 10,
"skip": 0,
"take": 10
}
}{
"code": "ERR_010",
"message": "The request could not be processed.",
"category": "VALIDATION",
"statusCode": 400,
"path": "/api/v1/example",
"timestamp": "2025-02-20T12:00:00.000Z",
"requestId": "req-example-id"
}{
"code": "ERR_008",
"message": "You need to sign in to continue.",
"category": "AUTHORIZATION",
"statusCode": 401,
"path": "/api/v1/example",
"timestamp": "2025-02-20T12:00:00.000Z",
"requestId": "req-example-id"
}{
"code": "ERR_009",
"message": "You don't have permission to do that.",
"category": "AUTHORIZATION",
"statusCode": 403,
"path": "/api/v1/example",
"timestamp": "2025-02-20T12:00:00.000Z",
"requestId": "req-example-id"
}{
"code": "ERR_006",
"message": "The requested resource was not found.",
"category": "RESOURCE",
"statusCode": 404,
"path": "/api/v1/example",
"timestamp": "2025-02-20T12:00:00.000Z",
"requestId": "req-example-id"
}{
"code": "ERR_019",
"message": "Something went wrong on our side.",
"category": "SYSTEM",
"statusCode": 500,
"path": "/api/v1/example",
"timestamp": "2025-02-20T12:00:00.000Z",
"requestId": "req-example-id"
}Authorizations
API key for authentication
Headers
SDK version header
Path Parameters
Profile reference
Was this page helpful?
Previous
List wallets for the organizationList wallets for the authenticated user's organization with pagination.
Next
⌘I
List wallets for the profile
